// packageE/pickUpCard/pickUpCardMyDet/pickUpCardMyDet.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    activeName: "1",
    card_id: 0,
    active: 0,

    page: 1, //分页数，当前页数
    isLoadMore: true, //判断是否要加载更多的标志
    total_page: 0, //总页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      card_id: options.cardId,
    });
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  changeActive(evt) {
    console.log(evt, this.data.active);
    this.data.active = evt.detail.index;
    this.getData();
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLoadMore) {
      this._getMoreData();
    } else {
      console.log("没有更多数据");
    }
  },
  initData() {
    this.data.page = 1;
    this.data.isLoadMore = true;
    this.data.total_page = 0;
  },
  getData() {
    this.initData();
    let urlStr = app.getNetAddresss(
      "plugin.picking-card.frontend.pickingCard.bindMemberCardList"
    );
    app._getNetWork({
      url: urlStr,
      data: {
        status: this.data.active,
        card_id: this.data.card_id,
      },
      success: (resdata) => {
        let res = resdata.data;

        this.setData({
          listData: res.data.data,
          total_count: res.data.total_count,
          isused_count: res.data.isused_count,
          notused_count: res.data.notused_count,
        });

        this.data.isLoadMore = true;
        this.data.total_page = res.data.last_page;
        if (!this.data.total_page) {
          this.data.total_page = 0;
        }
      },
    });
  },
  _getMoreData() {
    this.data.isLoadMore = false; // 防止多次请求分页数据
    if (this.data.page >= this.data.total_page) {
      // that.loading = true;
      return;
    } else {
      this.data.page += 1;
      let urlStr = app.getNetAddresss(
        "plugin.picking-card.frontend.pickingCard.bindMemberCardList"
      );
      app._postNetWork({
        url: urlStr,
        data: {
          page: this.data.page,
          status: this.data.active,
          card_id: this.data.card_id,
        },
        success: (resdata) => {
          let res = resdata.data;
          this.data.isLoadMore = true;
          if (res.result === 1) {
            var nextPageData = res.data.data;
            let listData = this.data.listData.concat(nextPageData);
            this.setData({ listData });
          } else {
            this.data.page = this.data.page - 1;
            this.data.isLoadMore = false;
          }
        },
      });
    }
  },

  changeCollapse(evt) {
    this.setData({
      activeName: evt.detail,
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
